<?php
/*
Plugin Name: Google Media Sitemap
Plugin URI: https://wordpress.org/plugins/media-sitemap/
Version: 1.00
Description: Output media's sitemap for Google.
Author: Katsushi Kawamori
Author URI: https://riverforest-wp.info/
Text Domain: media-sitemap
Domain Path: /languages
*/

/*  Copyright (c) 2017- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

	define("MEDIASITEMAP_PLUGIN_BASE_FILE", plugin_basename(__FILE__));
	define("MEDIASITEMAP_PLUGIN_BASE_DIR", dirname(__FILE__));
	define("MEDIASITEMAP_PLUGIN_URL", plugins_url($path='media-sitemap',$scheme=null));

	load_plugin_textdomain('media-sitemap');
//	load_plugin_textdomain('media-sitemap', false, basename( MEDIASITEMAP_PLUGIN_BASE_DIR ) . '/languages' );

	require_once( MEDIASITEMAP_PLUGIN_BASE_DIR . '/req/MediaSitemapAdmin.php' );
	$mediasitemapadmin = new MediaSitemapAdmin();
	add_action( 'admin_menu', array($mediasitemapadmin, 'plugin_menu'));
	add_filter( 'plugin_action_links', array($mediasitemapadmin, 'settings_link'), 10, 2 );
	unset($mediasitemapadmin);

	include_once MEDIASITEMAP_PLUGIN_BASE_DIR.'/inc/MediaSitemap.php';
	$mediasitemap = new MediaSitemap();
	add_filter( 'request', array($mediasitemap, 'myfeed_request') );
	add_action( 'init', array($mediasitemap, 'add_custom_feed') );
	add_action( 'wp_head', array($mediasitemap, 'google_image_sitemap_alternate') );
	unset($mediasitemap);

?>